Skip to main content
POST
sendBundle
curl --request POST \
  --url 'https://mainnet.helius-rpc.com/?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": "1",
  "method": "sendBundle",
  "params": [
    [
      "AT2AqtlokikUWgGNnSX5xrmdvBjSaiIPxvFz6zc5Abn5Z0CPFW5GO+Y3rXceLnqLgQFnGw0yTk3NtJdFNsbrwwQBAAIEsXPDJ9cMVbpFQYClVM7PGLh8JOfCD6E2vz5VNmBCF+p4Uhyxec67hYm1VqLV7JTSSYaC/fm7KvWtZOSRzEFT2gAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABUpTWpkpIQZNJOhxYNo4fHw1td28kruB5B+oQEEFRI1i3Wzl2VfewCI8oYXParnP78725sKFzYheTEn8v865YQIDABhqaXRvIGJ1bmRsZSAwOiBqaXRvIHRlc3QCAgABDAIAAACghgEAAAAAAA==",
      "AS6fOZuGDsmyYdd+RC0fiFUgNe1BYTOYT+1hkRXHAeroC8R60h3g34EPF5Ys8sGzVBMP9MDSTVgy1/SSTqpCtA4BAAIEsXPDJ9cMVbpFQYClVM7PGLh8JOfCD6E2vz5VNmBCF+p4Uhyxec67hYm1VqLV7JTSSYaC/fm7KvWtZOSRzEFT2gAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABUpTWpkpIQZNJOhxYNo4fHw1td28kruB5B+oQEEFRI1i3Wzl2VfewCI8oYXParnP78725sKFzYheTEn8v865YQIDABhqaXRvIGJ1bmRsZSAxOiBqaXRvIHRlc3QCAgABDAIAAACghgEAAAAAAA=="
    ],
    {
      "encoding": "base64"
    }
  ]
}
'
{
  "jsonrpc": "2.0",
  "id": "1",
  "result": "2id3YC2jK9PXyfaos635MqHj2seMJHc4rxFBRa3pGqoN5H7JnwzYKiyoZPFbBSqBz3atSMEVZR5mhTiLby2VU9Hx"
}

Documentation Index

Fetch the complete documentation index at: https://helius-add-sendbundle-api-docs.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Request Parameters

transactions
array
required
Array of encoded, serialized transactions to execute as a bundle. Maximum of 5 transactions. Transactions are executed sequentially and atomically โ€” if any transaction fails, the entire bundle is dropped. One of the transactions must include a tip to a Jito tip account.
encoding
string
default:"base64"
The encoding used for the transaction strings.
  • base58
  • base64

Rate Limits

sendBundle is only available on Business plans and higher, and is currently limited to 5 requests per second. If you need higher throughput, contact our sales team to discuss custom limits.

Authorizations

api-key
string
query
required

Your Helius API key. You can get one for free in the dashboard.

Body

application/json
jsonrpc
enum<string>
default:2.0

The JSON-RPC protocol version.

Available options:
2.0
Example:

"2.0"

id
string
default:1

A unique identifier for the request.

Example:

"1"

method
enum<string>
default:sendBundle

The name of the RPC method to invoke.

Available options:
sendBundle
Example:

"sendBundle"

params
(string[] | object)[]

Parameters for sending a Jito bundle.

Array of encoded, serialized transactions to execute as a bundle. Maximum of 5 transactions.

An encoded serialized transaction.

Response

Bundle submitted successfully. Returns a bundle ID that can be used to track the bundle status.

jsonrpc
enum<string>

The JSON-RPC protocol version.

Available options:
2.0
Example:

"2.0"

id
string

Identifier matching the request.

Example:

"1"

result
string

The bundle ID. Use this to check the bundle status with getBundleStatuses or getInflightBundleStatuses.

Example:

"2id3YC2jK9PXyfaos635MqHj2seMJHc4rxFBRa3pGqoN5H7JnwzYKiyoZPFbBSqBz3atSMEVZR5mhTiLby2VU9Hx"